slepc-3.21.1 2024-04-26
Report Typos and Errors

# LMESetRHS

Sets the right-hand side of the matrix equation, as a low-rank matrix.

### Synopsis

    #include "slepclme.h"
    PetscErrorCode LMESetRHS(LME lme,Mat C)

Collective

### Input Parameters

| lme | - the matrix function context
| C | - the right-hand side matrix

### Notes

The matrix equation takes the general form A*X*E+D*X*B=C, where matrix C is given with this function. C must be a low-rank matrix of type MATLRC, that is, C = U*D*V' where D is diagonal of order k, and U, V are dense tall-skinny matrices with k columns. No sparse matrix must be provided when creating the MATLRC matrix.

In equation types that require C to be symmetric, such as Lyapunov, C must be created with V=U (or V=NULL).

### See Also

LMESetSolution(), LMESetProblemType()

### Level

beginner

### Location

src/lme/interface/lmesetup.c

### Examples

src/lme/tutorials/ex32.c
Index of all LME routines
Table of Contents for all manual pages
Index of all manual pages